Show / Hide Table of Contents

# Interface IInvite

Represents a generic invite object.

##### Inherited Members

IEntity<String>.Id
IDeletable.DeleteAsync(RequestOptions)

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface IInvite : IEntity<string>, IDeletable

### Properties

| Improve this Doc View Source

#### Channel

Gets the channel this invite is linked to.

##### Declaration

    IChannel Channel { get; }

##### Property Value

Type | Description
--- | ---
IChannel | A generic channel that the invite points to.

| Improve this Doc View Source

#### ChannelId

Gets the ID of the channel this invite is linked to.

##### Declaration

    ulong ChannelId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 | An System.UInt64 representing the channel snowflake identifier that the invite points to.

| Improve this Doc View Source

#### ChannelName

Gets the name of the channel this invite is linked to.

##### Declaration

    string ChannelName { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the name of the channel that the invite points to.

| Improve this Doc View Source

#### ChannelType

Gets the type of the channel this invite is linked to.

##### Declaration

    ChannelType ChannelType { get; }

##### Property Value

Type | Description
--- | ---
ChannelType |

| Improve this Doc View Source

#### Code

Gets the unique identifier for this invite.

##### Declaration

    string Code { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the invite code (e.g. `FTqNnyS`).

| Improve this Doc View Source

#### Guild

Gets the guild this invite is linked to.

##### Declaration

    IGuild Guild { get; }

##### Property Value

Type | Description
--- | ---
IGuild | A guild object representing the guild that the invite points to.

| Improve this Doc View Source

#### GuildId

Gets the ID of the guild this invite is linked to.

##### Declaration

    ulong? GuildId { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.UInt64> | An System.UInt64 representing the guild snowflake identifier that the invite points to.

| Improve this Doc View Source

#### GuildName

Gets the name of the guild this invite is linked to.

##### Declaration

    string GuildName { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the name of the guild that the invite points to.

| Improve this Doc View Source

#### MemberCount

Gets the approximated count of total members in the guild.

##### Declaration

    int? MemberCount { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> | An System.Int32 representing the approximated total member count of the guild that the invite points to; `null` if one cannot be obtained.

| Improve this Doc View Source

#### PresenceCount

Gets the approximated count of online members in the guild.

##### Declaration

    int? PresenceCount { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> | An System.Int32 representing the approximated online member count of the guild that the invite points to; `null` if one cannot be obtained.

| Improve this Doc View Source

#### Url

Gets the URL used to accept this invite using Code.

##### Declaration

    string Url { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the full invite URL (e.g. `https://discord.gg/FTqNnyS`).